Attribute Definition Delete

Attribute Definition Delete

Grouper Web Services

Description

Delete attribute definitions based on name or ID. This is new as of Grouper v2.3.0

Features

  • Delete an attribute definition

  • Lookup the attribute definition be name, id, or index

  • Non-lite service can delete multiple attributeDef at once

  • Can pass in a txType so that you can run all the deletes in one transaction, or just finish the work that is possible with no enclosing transaction

  • Returns attribute definition(s), and the result code of if it was deleted

  • Can actAs another user

attributeDefDelete Lite service

  • Accepts one attribute def to delete...

  • Documentation: SOAP (click on attributeDefDeleteLite), REST

  • For REST, the request can put data in query string (in URL or request body)

  • REST request (colon is escaped to %3A): DELETE /grouper-ws/servicesRest/v2_3_000/attributeDefs

    • Note: if passing data in request body e.g. actAs, use a POST

  • (see documentation above for details): Request object, response object

  • Response codes

  • Samples (all files with "Lite" in them, click on "download" to see file)

attributeDefDelete service

  • Accepts multiple attributeDefs to delete

  • Documentation: SOAP (click on attributeDefDelete), REST

  • REST request (colon is escaped to %3A): DELETE /grouper-ws/servicesRest/v2_3_000/attributeDefs

  • (see documentation above for details): Request objectresponse object

  • Response codes

  • Returns an overall status, and a status for each delete

  • Samples (all files with "Lite" in them, click on "download" to see file)